Index: greenstone3/branches/customizingGreenstone3/gs3-setup.bat
===================================================================
--- greenstone3/branches/customizingGreenstone3/gs3-setup.bat	(revision 15191)
+++ greenstone3/branches/customizingGreenstone3/gs3-setup.bat	(revision 15787)
@@ -8,39 +8,50 @@
 
 :start
-:: ---- Set the GSDL3HOME variable to the current directory ----
-cd | winutil\setvar.exe GSDL3SRCHOME > %SystemRoot%\Temp\setgsdl3.bat
-call %SystemRoot%\Temp\setgsdl3.bat
-del %SystemRoot%\Temp\setgsdl3.bat
+:: ---- Set some relevant environment variables ----
+
+:: this is the default
+:: greenstone3 (%GSDL3SRCHOME%)
+:: +-- web (%GSDLHOME%)
+:: +-- packages
+::      +-- tomcat (%TOMCAT_HOME%)
+::      +-- ant (%ANT_HOME%)
+
+:: set GSDLSRCHOME to the current directory
+cd | winutil\setvar.exe GSDL3SRCHOME > %TMP%\setgsdl3.bat
+call %TMP%\setgsdl3.bat
+del %TMP%\setgsdl3.bat
+
+:: set GSDLHOME to the 'web' subdirectory
 set GSDL3HOME=%GSDL3SRCHOME%\web
 
-:: change if using external tomcat
+:: change if using external tomcat or ant
 set TOMCAT_HOME=%GSDL3SRCHOME%\packages\tomcat
+set ANT_HOME=%GSDL3SRCHOME%\packages\ant
 
-:: ---- Set other important environment variables ----
+:: other important environment variables
 set GSDLOS=windows
-set ANT_HOME=%GSDL3SRCHOME%\packages\ant
+
+:: ---- Set the CLASSPATH and PATH environment variables ----
+if "%GS_CP_SET%" == "yes" goto skipSetCp
+set CLASSPATH=%CLASSPATH%;.;%GSDL3HOME%\WEB-INF\classes;%GSDL3SRCHOME%\resources\java;%GSDL3SRCHOME%\server.jar;%GSDL3HOME%\WEB-INF\lib\cp.jar;%GSDL3SRCHOME%\lib\jni\cp.jar;%GSDL3SRCHOME%\build\cp.jar
 set PATH=%PATH%;%GSDL3SRCHOME%\bin;%GSDL3SRCHOME%\bin\script;%GSDL3SRCHOME%\lib\jni;%ANT_HOME%\bin
 
-:: ---- Set the CLASSPATH environment variable ----
-if "%GS_CP_SET%" == "yes" goto skipSetCp
-set CLASSPATH=.;%GSDL3HOME%\WEB-INF\classes;%GSDL3SRCHOME%\resources\java;%CLASSPATH%
-if exist %SystemRoot%\Temp\setcp.bat del %SystemRoot%\Temp\setcp.bat
-for %%j in ("%GSDL3SRCHOME%"\*.jar) do echo set CLASSPATH=%%CLASSPATH%%;%%j>> %SystemRoot%\Temp\setcp.bat
-for %%j in ("%GSDL3HOME%"\WEB-INF\lib\*.jar) do echo set CLASSPATH=%%CLASSPATH%%;%%j>> %SystemRoot%\Temp\setcp.bat
-for %%j in ("%GSDL3SRCHOME%"\lib\jni\*.jar) do echo set CLASSPATH=%%CLASSPATH%%;%%j>> %SystemRoot%\Temp\setcp.bat
-for %%j in ("%TOMCAT_HOME%"\common\endorsed\*.jar) do echo set CLASSPATH=%%CLASSPATH%%;%%j>> %SystemRoot%\Temp\setcp.bat
-for %%j in ("%GSDL3SRCHOME%"\build\*.jar) do echo set CLASSPATH=%%CLASSPATH%%;%%j>> %SystemRoot%\Temp\setcp.bat
-echo set GS_CP_SET=yes >> %SystemRoot%\Temp\setcp.bat
-call %SystemRoot%\Temp\setcp.bat
-del %SystemRoot%\Temp\setcp.bat
+:: a little dynamic set cp stuff
+if exist %TMP%\setcp.bat del %TMP%\setcp.bat
+for %%j in ("%TOMCAT_HOME%"\common\endorsed\*.jar) do echo set CLASSPATH=%%CLASSPATH%%;%%j>> %TMP%\setcp.bat
+if exist %TMP%\setcp.bat call %TMP%\setcp.bat
+if exist %TMP%\setcp.bat del %TMP%\setcp.bat
+
+set GS_CP_SET=yes
 :skipSetCp
 
-winutil\search4j.exe -m %java_min_version% | winutil\setvar.exe _JRE_HOME > %SystemRoot%\Temp\set_jre_home.bat
-call %SystemRoot%\Temp\set_jre_home.bat
-del %SystemRoot%\Temp\set_jre_home.bat
+:: ---- Search for java ----
+winutil\search4j.exe -m %java_min_version% | winutil\setvar.exe _JRE_HOME > %TMP%\set_jre_home.bat
+call %TMP%\set_jre_home.bat
+del %TMP%\set_jre_home.bat
 
-echo %_JRE_HOME%\bin\java.exe | winutil\setvar.exe RUNJAVA > %SystemRoot%\Temp\setrunjava.bat
-call %SystemRoot%\Temp\setrunjava.bat
-del %SystemRoot%\Temp\setrunjava.bat
+echo %_JRE_HOME%\bin\java.exe | winutil\setvar.exe RUNJAVA > %TMP%\setrunjava.bat
+call %TMP%\setrunjava.bat
+del %TMP%\setrunjava.bat
 
 if "%JRE_HOME%" == "" set JRE_HOME=%_JRE_HOME%
Index: greenstone3/branches/customizingGreenstone3/lib/jni/cp.mf
===================================================================
--- greenstone3/branches/customizingGreenstone3/lib/jni/cp.mf	(revision 15787)
+++ greenstone3/branches/customizingGreenstone3/lib/jni/cp.mf	(revision 15787)
@@ -0,0 +1,1 @@
+Class-Path: javagdbm.jar mg.jar mgpp.jar
